[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#95146: postgresql depends on libssl - move to non-us?

James Troup wrote:
[serious bug: postgresql depends on libssl0.9.6 from non-us/main]
  >"Oliver Elphick" <olly@lfix.co.uk> writes:
  >> Hmm, yes.  So postgresql had better move to non-us.
  >While not necessarily a bad thing, it's worth noting that that is
  >going to drag a lot of stuff with it.  <probably dreaming>Would it be
  >possible to cleanly separate the SSL functionality?</>
Not within my competence in the time available to me.

If anyone else would like to give me a patch, I will consider this.

1. remove ssl connection option (but it's still in the source, so
shouldn't it go to non-us any way?)

2. move libssl... to main (if my proviso to 1 doesn't apply, then this
should be possible)

3. make a duplicate copy of the source for non-us and build a postgresql-ssl
package (maintenance problems)

Oliver Elphick                                Oliver.Elphick@lfix.co.uk
Isle of Wight                              http://www.lfix.co.uk/oliver
PGP: 1024R/32B8FAA1: 97 EA 1D 47 72 3F 28 47  6B 7E 39 CC 56 E4 C1 47
GPG: 1024D/3E1D0C1C: CA12 09E0 E8D5 8870 5839  932A 614D 4C34 3E1D 0C1C
     "Now unto him that is able to do exceeding abundantly 
      above all that we ask or think, according to the power
      that worketh in us, Unto him be glory in the church by
      Christ Jesus throughout all ages, world without end. 
      Amen."          Ephesians 3:20,21 

Reply to: